Loading...
Searching...
No Matches
larfgp: generate Householder reflector, beta ≥ 0
LAPACK » Orthogonal/unitary factors (QR, CS, etc.) » Householder reflectors
Collaboration diagram for larfgp: generate Householder reflector, beta ≥ 0:

## Functions

subroutine | clarfgp (n, alpha, x, incx, tau)
| CLARFGP generates an elementary reflector (Householder matrix) with non-negative beta.
subroutine | dlarfgp (n, alpha, x, incx, tau)
| DLARFGP generates an elementary reflector (Householder matrix) with non-negative beta.
subroutine | slarfgp (n, alpha, x, incx, tau)
| SLARFGP generates an elementary reflector (Householder matrix) with non-negative beta.
subroutine | zlarfgp (n, alpha, x, incx, tau)
| ZLARFGP generates an elementary reflector (Householder matrix) with non-negative beta.

## Detailed Description